# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate libsodium-sys

Name:           rust-%{crate}
Version:        0.2.7
Release:        %autorelease
Summary:        FFI binding to libsodium

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/libsodium-sys
Source:         %{crates_source}
# Patch Cargo.toml to default to use-pkg-config
# FIXME: patch build.rs to force use-pkg-config
Patch0:         shared.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21
BuildRequires:  libsodium-devel

%global _description %{expand:
FFI binding to libsodium.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       libsodium-devel

%description    devel %{_description}

This package contains library source intended for building other packages
which use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use-pkg-config-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use-pkg-config-devel %{_description}

This package contains library source intended for building other packages
which use the "use-pkg-config" feature of the "%{crate}" crate.

%files       -n %{name}+use-pkg-config-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
# remove pre-built libsodium objects for MSVC / MinGW targets
rm -rf mingw msvc
# remove bundled libsodium sources
rm -rf libsodium # /src/libsodium
# Add shebang to top of gen.sh as build tries to run it directly
# FIXME: patch build.rs to use the bindgen library interface instead
sed -i -e '1 i#!/bin/sh' src/gen.sh
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
export RUST_BACKTRACE=1
%cargo_test
%endif

%changelog
%autochangelog
